API ReferenceConfiguration
Retrieve ecosystem configuration
Roles
admindts-consumer
Analytics Events
ECOSYSTEM_CONFIG_RETRIEVE_STARTECOSYSTEM_CONFIG_RETRIEVE_SUCCESSECOSYSTEM_CONFIG_RETRIEVE_FAIL
GET
/v1/config/ecosystemsRetrieves the tenant's ecosystem configuration.
Analytic events
- ECOSYSTEM_CONFIG_RETRIEVE_START
- ECOSYSTEM_CONFIG_RETRIEVE_SUCCESS
- ECOSYSTEM_CONFIG_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/config/ecosystems"{
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/cdd42cec-e961-447c-9083-1312ee316053"
}
],
"isIssuanceRestricted": false,
"isVerificationRestricted": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Empty
How would you rate this page?
Delete ecosystem configuration DELETE
Deletes the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_DELETE_START * ECOSYSTEM_CONFIG_DELETE_SUCCESS * ECOSYSTEM_CONFIG_DELETE_FAIL
Update ecosystem configuration PUT
Updates the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_UPDATE_START * ECOSYSTEM_CONFIG_UPDATE_SUCCESS * ECOSYSTEM_CONFIG_UPDATE_FAIL